%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Generate RFC-4255 SSHFP and DANE DNS records from knownhosts files, ssh-keyscan and TLS connects
Name: sshfp
Version: 1.2.2
Release: 4%{?dist}
License: GPLv2
Url: http://www.xelerance.com/software/%{name}/
Source: ftp://ftp.xelerance.com/%{name}/%{name}-%{version}.tar.gz
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python-dns, openssh-clients >= 4, python-argparse, ldns-python >= 1.6.10
BuildArch: noarch

%description
sshfp generates DNS SSHFP records from SSH public keys. sshfp can take
public keys from a knownhosts file or from scanning the host's sshd daemon.
The ssh client can use these SSHFP records if you set "VerifyHostKeyDNS yes"
in the file /etc/ssh/ssh_config or in your .ssh/config. See RFC-4255
It also supports DANE records by probing TLS servers and generating
records as per the DANE draft version 10:
http://tools.ietf.org/html/draft-ietf-dane-protocol-10

%prep
%setup -q 

%build
make all

%install
rm -rf ${RPM_BUILD_ROOT}
export DESTDIR=${RPM_BUILD_ROOT}
make install
mkdir -p ${RPM_BUILD_ROOT}%{python_sitelib}/
cp daneldnsx.pyc ${RPM_BUILD_ROOT}%{python_sitelib}/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%doc BUGS CHANGES README COPYING
%{_bindir}/*
%doc %{_mandir}/man1/*
%{python_sitelib}/daneldnsx.*

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 06 2011 Paul Wouters <paul@xelerance.com> - 1.2.2-2
- Fix mangled make all target in build section

* Tue Sep 06 2011 Paul Wouters <paul@xelerance.com> - 1.2.2-1
- Redone dane command with ipv6 support
- Updated to draft-ietf-dane-protocol-10
- Use upstream "make install" target

* Wed Apr 13 2011 Paul Wouters <paul@xelerance.com> - 1.2.0-1
- Updated to 1.2.0. This release includes the 'dane' command
- Added dependancy on python-argparse and ldns-python

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Paul Wouters <paul@xelerance.com> - 1.1.5-1
- upgraded to 1.1.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.3-2
- fix license tag (man page says v2+, but code says v2)

* Mon May 15 2007 Paul Wouters <paul@xelerance.com> - 1.1.3-1
- Upgraded to 1.1.3

* Mon Apr  9 2007 Paul Wouters <paul@xelerance.com> - 1.1.2-1
- Upgraded to 1.1.2

* Wed Oct  4 2006 Paul Wouters <paul@xelerance.com> - 1.1.1-1
- Upgraded to 1.1.1

* Tue Sep 26 2006 Paul Wouters <paul@xelerance.com> - 1.1.0-1
- Mistakingly ran the sha1() call on the uuencoded keyblob, which
  generated wrong SSHFP records.

* Mon Sep 25 2006 Paul Wouters <paul@xelerance.com> - 1.0.6-2
- Don't change VerifyHostKeyDNS in /etc/ssh/ssh_config anymore

* Tue Sep 19 2006 Paul Wouters <paul@xelerance.com> - 1.0.6-1
- Initial release for Fedora Extras
